Name:           python-berkeleydb
Version:        18.1.8
Release:        %mkrel 2
Summary:        Python bindings for BerkeleyDB
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/berkeleydb/
Source0:        https://pypi.python.org/packages/source/b/berkeleydb/berkeleydb-%{version}.tar.gz
BuildRequires:  db-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  pyproject-rpm-macros

%description
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%package -n python3-berkeleydb
Summary:        Python 3 bindings for BerkeleyDB
%{?python_provide:%python_provide python3-berkeleydb}

%description -n python3-berkeleydb
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%prep
%autosetup -p1 -n berkeleydb-%{version}

# drop unneeded RPATH
sed -i -e '/runtime_library_dirs/d' setup3.py

# fix shebangs
%py3_shebang_fix src/berkeleydb/


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files berkeleydb

# Get rid of unneeded header
rm -f %{buildroot}%{_includedir}/python*/berkeleydb/berkeleydb.h

# Make all scripts executable
chmod 0755 %{buildroot}%{python3_sitearch}/berkeleydb/dbshelve.py

%files -n python3-berkeleydb -f %{pyproject_files}
%doc ChangeLog PKG-INFO README.txt LICENSE.txt


%changelog
* Sat Mar 01 2025 wally <wally> 18.1.8-2.mga10
+ Revision: 2154532
- rebuild for python3.13

* Sat Jan 27 2024 papoteur <papoteur> 18.1.8-1.mga10
+ Revision: 2035444
- new version 18.1.8

* Mon Sep 05 2022 wally <wally> 18.1.5-2.mga9
+ Revision: 1884193
- fix shebangs in %%prep
- skip RPATH without external tools

* Mon Sep 05 2022 neoclust <neoclust> 18.1.5-1.mga9
+ Revision: 1884052
- New version 18.1.5

* Sat Mar 19 2022 umeabot <umeabot> 18.1.2-4.mga9
+ Revision: 1799318
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 18.1.2-3.mga9
+ Revision: 1785745
- rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 18.1.2-2.mga9
+ Revision: 1708069
- rebuild for python 3.9

* Fri Jan 22 2021 neoclust <neoclust> 18.1.2-1.mga8
+ Revision: 1672841
- imported package python-berkeleydb

